aboutsummaryrefslogtreecommitdiff
path: root/sys-fs
diff options
context:
space:
mode:
authorJory A. Pratt <anarchy@gentoo.org>2017-07-21 07:27:29 -0500
committerJory A. Pratt <anarchy@gentoo.org>2017-07-21 07:27:29 -0500
commit2c01eba3cc64d5d74ae0ae55f5998729afea6905 (patch)
treee194deb56bdfdde1e8dabcef4d6ef442a8d7379c /sys-fs
parentdev-libs/libbsd: version bump to 0.8.6 (diff)
downloadmusl-2c01eba3cc64d5d74ae0ae55f5998729afea6905.tar.gz
musl-2c01eba3cc64d5d74ae0ae55f5998729afea6905.tar.bz2
musl-2c01eba3cc64d5d74ae0ae55f5998729afea6905.zip
Sync changes from tree
Diffstat (limited to 'sys-fs')
-rw-r--r--sys-fs/xfsprogs/Manifest3
-rw-r--r--sys-fs/xfsprogs/files/xfsprogs-4.12.0-sharedlibs.patch81
-rw-r--r--sys-fs/xfsprogs/xfsprogs-4.12.0.ebuild95
3 files changed, 179 insertions, 0 deletions
diff --git a/sys-fs/xfsprogs/Manifest b/sys-fs/xfsprogs/Manifest
index a99ca47..4efd970 100644
--- a/sys-fs/xfsprogs/Manifest
+++ b/sys-fs/xfsprogs/Manifest
@@ -1,4 +1,5 @@
AUX xfsprogs-4.11.0-musl.patch 1835 SHA256 1387eebcf9e61ab50fea70e11f7d6873ae47e26f3fba99b8df2d17d6a2db1619 SHA512 dcfafb16d31c50c6c16ee2a778eda6c946646e129e6c9c96efeb518f7935534dcd7063aded186c5d874ffd07b6eaa31f3ff0e06e0cdca9876565056c727a5494 WHIRLPOOL 68b03ec3ccc1258e667e883910dfeaa65945ffdc893da5c752baea1ec6d7c859be85b8287392c951cf60315aee356dd463410d287ff673a2b70dfe9684a56bb9
+AUX xfsprogs-4.12.0-sharedlibs.patch 2361 SHA256 4f10b622e8b7c8654a5dc79356343515ef203742ba4781b97a6f02f23e99555a SHA512 bbf802c54d2c8a2a524a9d4ae0ca66a18bf6b099a00fcc248abee04f84371bd35fc07a2dcc0c1d99c297b474c1f98d92927aa5ca16df5e6caef3abe386f31eba WHIRLPOOL 72e00337e46700ee2a16597bb8188fff229c019c46a39f60598a6d802b8ba094c6e5da8377aad60fee6afd9f491c577d2c84ace3f78a00438268ccbc1832368a
AUX xfsprogs-4.3.0-cross-compile.patch 5112 SHA256 5654447555115bce22e443623f6fc17b767681741f043a9dc5e6887967a27db9 SHA512 2d6303b7c89b3e1ca2ba1d95a4477d0d1c2360ed68bf9c9d3630f990081be98ace9b9c164729635fa582cc5c8bd418e1824e35f613512d43cc6116fcda379582 WHIRLPOOL 1fee9f56739d13c1b04b2d0d190b193c97a846902fce8ccba0210cbce6a61bcd2cab118a2c59fb66cd89a957e32e714c3f1dc534697819165a505a8eb8f225b6
AUX xfsprogs-4.3.0-musl.patch 3543 SHA256 afe6ea3f95d88abc0b2c276e1c88dd8acc3bdbf10cf93cba54cae9d1de6e1e67 SHA512 7c86c402bda6630699e63b55389931d8a43c9ed6489c248bf090ca724516c56d4b2b3204dd07272a2e84e11abda8f0aa0735851c3f66330f6be258390a8dafe6 WHIRLPOOL 8fb46034afbea1b78c23e931d36920228ee401c0a72b4496eb40771b245c8a0f9800eb8794631362937ad0192fe959c1789fcee5a98d1788035c19219365cce7
AUX xfsprogs-4.3.0-sharedlibs.patch 2310 SHA256 23bf3127cd1eab6e96055d2a5f3ae61f417a8d4ae52d5c421be2bbb05576bb46 SHA512 6d7ad2bc8b74390f81ecfa3774c837d083dc7e3332bd2e5450c4d67805d54f9727afeace39755e5d1185a230abcc9644bf2eb1544708d81b4f93a419aad8fdf4 WHIRLPOOL 5adb3dbffcd788e27e228d9d04a5991a20fd4ae9b8c7e32996b33fe71451ce2a468299f5abb40ff416b8abff399a7c0f7b4d3102b10f4e6bd830b3d0b57768c8
@@ -7,7 +8,9 @@ AUX xfsprogs-4.7.0-libxcmd-link.patch 880 SHA256 06cced4aeeb9a2d8c90e6d6fd1ff657
AUX xfsprogs-4.7.0-sharedlibs.patch 2355 SHA256 983b08b2a4a4ee91be21f14063167a3752554b41fd78aead6dfd6ac38702a5a7 SHA512 f0006ec0a987e44a1e60d642f9938d35c14ccb765c6a040c80e483a0e073e54608571b53793b7d4c2b9eb1f5c4e2f077fb713dfab9abaa99022d24d8a17443fe WHIRLPOOL 939841084292f598c32aa3be784d6235b6803abd86062790191b7959be73d9f8afc31cbb0d330abaee253c141dcbe0d4a4e20ae76ba64146d41acfbf7f3e0fa4
AUX xfsprogs-4.9.0-underlinking.patch 731 SHA256 644713208fcce550cbe66de8aa3fc366449a838baaba2db030bfc6111f4de7b5 SHA512 2fcbaab48ca33cd2e8724cdc55d814a970beb5127c861f4b829ede9f501516733c6dabbfe0bfb1d23df01bb69538af5ca31eb403030e3d2ad9efd8643c509ac7 WHIRLPOOL 00a06a89374682e09379e98176990436cd716f4d2cab3f1801097dfd228a92562fc521ff0a6441dc080e26a2087034e8572cd72b836ed575c75ba972079c9c29
DIST xfsprogs-4.11.0.tar.xz 1113480 SHA256 c3a6d87b564d7738243c507df82276bed982265e345363a95f2c764e8a5f5bb2 SHA512 2db59553e4442c999a718ccf712b01de80b1e3acd1c3e5f9f7f5dc59e6c9180aa1a42085363303fe454d441bc2f886e118fc2958320afa49c7a8886fcfb5d72c WHIRLPOOL df267970bbcbc3c8a05d02a5e334bdeb686acea74e647dee6e874bc083a64cecef7c45072619edfd4841856cf0b7c91056504207bbcd5f021b1a1b452ef794da
+DIST xfsprogs-4.12.0.tar.xz 1128400 SHA256 b330ad8d737f4152ae511580102e2fc49212bb51dfb4b614084344abae46d0df SHA512 1dc4a0a5f40baf1d6398c8f07b4cb3ab796cf052c34b811d60b08c60a4700c2ced8d4d1adb878f8b85ba58cf3e1276db1477109de538fd427d3e359a52f59d4a WHIRLPOOL c18d3c9dfab8ccb877eb6fa9fa05be3c614a587c6cb616a9f18b52debb8ecacbd22056cb397ff9e69407c66e105d034458b41f0ba4275352f31398e64d303c02
DIST xfsprogs-4.5.0.tar.gz 1524382 SHA256 e49beb314984efbd0d758abb5c6137db3bb60a88e59e1e94c00defb536cf89f8 SHA512 19c95551dc91ec46916f9a7e3d7976907664d32dd5fdc26af0ca62ca74c4b3c10f9e843aac8214ea9d1c0bf140c9f4e321d059808af01a623abedd5067011314 WHIRLPOOL 54d742635df024a63181da76c3220671610068363af85be2677521f20342595a5cebb2fd169945572351901ee2c9384f79f54a381ab3620dde22d863aa66d469
EBUILD xfsprogs-4.11.0.ebuild 2750 SHA256 de77973986d0e862e0179e74fdd619cf99d54218d282b47324a4dd45c8e86398 SHA512 7113861301c0e1437133e813a6fb3d1653419d63385f7ba1040953cced4596ac091bc75bee991c82d17b7f4764634a5334a09100f8f9a5b6954154d357d8ee5e WHIRLPOOL e2c3ea570f178bccf6b0b2bcbb65638af7905931301d87b90ddefa0a469a6c266afec0e5bc370b0dd6a9ee318e376ce270b19fc21ae5687c5f5295101e051d48
+EBUILD xfsprogs-4.12.0.ebuild 2729 SHA256 9336a0592b2d2642938ba1661c962a14b5ad277b0978846584ad11f0f5a60ac4 SHA512 f910da3fed6bd41ac3a0d3500f4bc4da7e7644e9864f08a1ad3fe174d1ca79d7f738508145a866f138ef3d370c50414f90d0c2577f3357862fb5a72253b45a78 WHIRLPOOL a8c44865d9c4540541782f8188803f2f374c721e454a33eeee577c83321d84ef8d93f95c51f32faa3cfe6f565cadfb99cdc1b660afb86b4a67f613275be01ced
EBUILD xfsprogs-4.5.0.ebuild 2936 SHA256 f4faccf78a63237359239504ba56946817e6c604ebf5836e2c094b0bb1255ff5 SHA512 7363f71ab6ba657735394682e38cdf4cf21db032c34167435a9d37f74db52f8e25319d172f3d007db2b64973b3bde28abd602b1d64a544122d28654cc3605054 WHIRLPOOL 17d12153e5cd04828ac71c41e2e59b32ed21e19af9e0d83f40b93619f800f85ae89f4c272496a7f59268b386e72e97b6a17bb46a370586cda957e3bcadf94616
MISC metadata.xml 257 SHA256 c1d4bdabe699c6d9fcdf3b7794a13b45f69e3826b814b422e4ca7e6893b99012 SHA512 9c7759d33e1bbc8be0da5b4f59fc720266e40f4116d7db0c17c5ad800a7bb638f33a1308e1554092af781f06df6f6cb55db41fc22207cd3edc2e159840e3a3b1 WHIRLPOOL 4afcbc79dd61237c778735b39060b3e294fdc07da5b0da6f7b40db92649ac71febddd7a0265502e102d8eec9664fd5af2071fff9428bfcb0a6bf06cf70c68a3d
diff --git a/sys-fs/xfsprogs/files/xfsprogs-4.12.0-sharedlibs.patch b/sys-fs/xfsprogs/files/xfsprogs-4.12.0-sharedlibs.patch
new file mode 100644
index 0000000..cb59d44
--- /dev/null
+++ b/sys-fs/xfsprogs/files/xfsprogs-4.12.0-sharedlibs.patch
@@ -0,0 +1,81 @@
+--- xfsprogs-4.12.0/include/buildmacros
++++ xfsprogs-4.12.0/include/buildmacros
+@@ -70,18 +70,9 @@
+ # /usr/lib.
+ ifeq ($(ENABLE_SHARED),yes)
+ INSTALL_LTLIB_DEV = \
+- cd $(TOPDIR)/$(LIBNAME)/.libs; \
+- ../$(INSTALL) -m 755 -d $(PKG_LIB_DIR); \
+- ../$(INSTALL) -m 644 -T old_lib $(LIBNAME).lai $(PKG_LIB_DIR); \
+- ../$(INSTALL) -m 644 $(LIBNAME).lai $(PKG_LIB_DIR)/$(LIBNAME).la ; \
+- ../$(INSTALL) -m 755 -d $(PKG_ROOT_LIB_DIR); \
+- ../$(INSTALL) -T so_base $(LIBNAME).lai $(PKG_ROOT_LIB_DIR); \
+- if [ "x$(shell readlink -f $(PKG_LIB_DIR))" != \
+- "x$(shell readlink -f $(PKG_ROOT_LIB_DIR))" ]; then \
+- ../$(INSTALL) -S $(PKG_LIB_DIR)/$(LIBNAME).a $(PKG_ROOT_LIB_DIR)/$(LIBNAME).a; \
+- ../$(INSTALL) -S $(PKG_LIB_DIR)/$(LIBNAME).la $(PKG_ROOT_LIB_DIR)/$(LIBNAME).la; \
+- ../$(INSTALL) -S $(PKG_ROOT_LIB_DIR)/$(LIBNAME).so $(PKG_LIB_DIR)/$(LIBNAME).so; \
+- fi
++ set -e; cd $(TOPDIR)/$(LIBNAME); \
++ $(INSTALL) -m 755 -d $(PKG_LIB_DIR); \
++ env -uDIST_ROOT $(LTINSTALL) $(TOPDIR)/$(LIBNAME)/$(LIBNAME).la $(DIST_ROOT)$(PKG_LIB_DIR)/$(LIBNAME).la
+ else
+ INSTALL_LTLIB_DEV = $(INSTALL_LTLIB_STATIC)
+ endif
+--- xfsprogs-4.12.0/libhandle/Makefile
++++ xfsprogs-4.12.0/libhandle/Makefile
+@@ -24,7 +24,6 @@
+ include $(BUILDRULES)
+
+ install: default
+- $(INSTALL_LTLIB)
+
+ install-dev: default
+ $(INSTALL_LTLIB_DEV)
+--- xfsprogs-4.12.0/libxcmd/Makefile
++++ xfsprogs-4.12.0/libxcmd/Makefile
+@@ -34,6 +34,9 @@
+
+ include $(BUILDRULES)
+
+-install install-dev: default
++install: default
++
++install-dev: default
++ $(INSTALL_LTLIB_DEV)
+
+ -include .ltdep
+--- xfsprogs-4.12.0/libxfs/Makefile
++++ xfsprogs-4.12.0/libxfs/Makefile
+@@ -151,6 +151,7 @@
+
+ install-dev: install
+ $(INSTALL) -m 644 $(PKGHFILES) $(PKG_INC_DIR)
++ $(INSTALL_LTLIB_DEV)
+
+ # We need to install the headers before building the dependencies. If we
+ # include the .ltdep file, the makefile decides that it needs to build the
+--- xfsprogs-4.12.0/libxlog/Makefile
++++ xfsprogs-4.12.0/libxlog/Makefile
+@@ -19,6 +19,9 @@
+
+ include $(BUILDRULES)
+
+-install install-dev: default
++install: default
++
++install-dev: default
++ $(INSTALL_LTLIB_DEV)
+
+ -include .ltdep
+--- xfsprogs-4.12.0/Makefile
++++ xfsprogs-4.12.0/Makefile
+@@ -89,6 +89,8 @@
+ copy: libxlog
+ mkfs: libxcmd
+ spaceman: libxcmd
++libxlog: libxfs
++libxlog-install-dev: libxfs-install-dev
+
+ ifeq ($(HAVE_BUILDDEFS), yes)
+ include $(BUILDRULES)
diff --git a/sys-fs/xfsprogs/xfsprogs-4.12.0.ebuild b/sys-fs/xfsprogs/xfsprogs-4.12.0.ebuild
new file mode 100644
index 0000000..772f842
--- /dev/null
+++ b/sys-fs/xfsprogs/xfsprogs-4.12.0.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit eutils toolchain-funcs multilib
+
+DESCRIPTION="xfs filesystem utilities"
+HOMEPAGE="http://oss.sgi.com/projects/xfs/"
+SRC_URI="https://www.kernel.org/pub/linux/utils/fs/xfs/${PN}/${P}.tar.xz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="libedit nls readline static static-libs"
+REQUIRED_USE="static? ( static-libs )"
+
+LIB_DEPEND=">=sys-apps/util-linux-2.17.2[static-libs(+)]
+ readline? ( sys-libs/readline:0=[static-libs(+)] )
+ !readline? ( libedit? ( dev-libs/libedit[static-libs(+)] ) )"
+RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )
+ !<sys-fs/xfsdump-3"
+DEPEND="${RDEPEND}
+ static? (
+ ${LIB_DEPEND}
+ readline? ( sys-libs/ncurses:0=[static-libs] )
+ )
+ nls? ( sys-devel/gettext )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-4.12.0-sharedlibs.patch
+ "${FILESDIR}"/${PN}-4.7.0-libxcmd-link.patch
+ "${FILESDIR}"/${PN}-4.9.0-underlinking.patch
+ "${FILESDIR}"/${PN}-4.11.0-musl.patch
+)
+
+pkg_setup() {
+ if use readline && use libedit ; then
+ ewarn "You have USE='readline libedit' but these are exclusive."
+ ewarn "Defaulting to readline; please disable this USE flag if you want libedit."
+ fi
+}
+
+src_prepare() {
+ epatch "${PATCHES[@]}"
+
+ # LLDFLAGS is used for programs, so apply -all-static when USE=static is enabled.
+ # Clear out -static from all flags since we want to link against dynamic xfs libs.
+ sed -i \
+ -e "/^PKG_DOC_DIR/s:@pkg_name@:${PF}:" \
+ -e "1iLLDFLAGS += $(usex static '-all-static' '')" \
+ include/builddefs.in || die
+ find -name Makefile -exec \
+ sed -i -r -e '/^LLDFLAGS [+]?= -static(-libtool-libs)?$/d' {} +
+
+ # TODO: Write a patch for configure.ac to use pkg-config for the uuid-part.
+ if use static && use readline ; then
+ sed -i \
+ -e 's|-lreadline|& -lncurses|' \
+ -e 's|-lblkid|& -luuid|' \
+ configure || die
+ fi
+}
+
+src_configure() {
+ export DEBUG=-DNDEBUG
+ export OPTIMIZER=${CFLAGS}
+ unset PLATFORM # if set in user env, this breaks configure
+
+ local myconf
+ if use static || use static-libs ; then
+ myconf+=" --enable-static"
+ else
+ myconf+=" --disable-static"
+ fi
+
+ econf \
+ $(use_enable nls gettext) \
+ $(use_enable readline) \
+ $(usex readline --disable-editline $(use_enable libedit editline)) \
+ ${myconf}
+
+ MAKEOPTS+=" V=1"
+}
+
+src_install() {
+ emake DIST_ROOT="${ED}" install
+ # parallel install fails on this target for >=xfsprogs-3.2.0
+ emake -j1 DIST_ROOT="${ED}" install-dev
+
+ # handle is for xfsdump, the rest for xfsprogs
+ gen_usr_ldscript -a handle xcmd xfs xlog
+ # removing unnecessary .la files if not needed
+ use static-libs || find "${ED}" -name '*.la' -delete
+}